Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.compiler.bom
Enum Correlation.CorrelationPattern

    java.lang.Object
      java.lang.Enum<Correlation.CorrelationPattern>
          org.apache.ode.bpel.compiler.bom.Correlation.CorrelationPattern

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Correlation.CorrelationPattern>

Enclosing class:
  Correlation

    public static enum Correlation.CorrelationPattern

extends java.lang.Enum<Correlation.CorrelationPattern>

Enum Constant Summary
`IN`
`INOUT`
`OUT`
`UNSET`

Method Summary
`static Correlation.CorrelationPattern` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Correlation.CorrelationPattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IN

    public static final Correlation.CorrelationPattern IN

### OUT

    public static final Correlation.CorrelationPattern OUT

### INOUT

    public static final Correlation.CorrelationPattern INOUT

### UNSET

    public static final Correlation.CorrelationPattern UNSET

Method Detail

### values

    public static final Correlation.CorrelationPattern[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Correlation.CorrelationPattern c : Correlation.CorrelationPattern.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Correlation.CorrelationPattern valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD